[BUG] Linux amd64, missing libpng-1.2

Ravow
Junior Line Worker
Junior Line Worker
Posts: 2
Joined: Wed Dec 14, 2011 7:30 pm

[BUG] Linux amd64, missing libpng-1.2

Postby Ravow » Wed Dec 14, 2011 7:40 pm

Hi,

I just purchased the last HIB just for this game and it didn't start. I get that error message :
./GSB.bin.x86_64: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory


libpng-1.2 is deprecated and mostly replaced by libpng 1.4 or 1.5.
Some distribution don't include old libs as everything is compiled with decents lib version.

You have 4 way to fix this!
1 - Recompile but with static linking
2 - Include the lib (and all dependency) with the game
3 - Update to libpng-1.4 and recompile (people with old libpng-1.2 will not be able to play)
4 - Release the source so I can fix it myself.

Thanks to fix that issue!
salsadoom
Senior Line Worker
Senior Line Worker
Posts: 5
Joined: Wed Dec 14, 2011 7:51 pm

Re: [BUG] Linux amd64, missing libpng-1.2

Postby salsadoom » Wed Dec 14, 2011 7:57 pm

I get the same error. I'm running ArchLinux 64 bit if it matters but I think we all know whats going on here anyway :P

This isn't actually a huge issue -- the game already includes a few libraries just needs to have this one extra added in. Not sure what distro still ships with libpng-1.2 but its worth noting that this was a problem in the first place.

But man, please don't pester the developer for the source -- it makes linux users look bad. Its his code he can do what he likes with it -- I'm just happy to have some good linux games.
Ravow
Junior Line Worker
Junior Line Worker
Posts: 2
Joined: Wed Dec 14, 2011 7:30 pm

Re: [BUG] Linux amd64, missing libpng-1.2

Postby Ravow » Wed Dec 14, 2011 8:08 pm

salsadoom
Senior Line Worker
Senior Line Worker
Posts: 5
Joined: Wed Dec 14, 2011 7:51 pm

Re: [BUG] Linux amd64, missing libpng-1.2

Postby salsadoom » Wed Dec 14, 2011 8:22 pm

Working on a work around to fix this...

Manually installing libpng-1.2 (pretty easy) unfortunately returns the error... can't find libjpeg.so.62 :)

You can download libpng-1.2 from http://sourceforge.net/projects/libpng/ ... 12/1.2.46/ and the usual ./configure make make install works fine. It has a "make uninstall" to remove the fix when the dev corrects this.

My distro has a package for libjpeg6 -- and that fixed it. Again not sure if this would be an issue with the popular ubuntu based distros. This doesn't get me going yet since I get a could not set video mode error still...

OK. Here is the fix for the video error :) Open up "~/.positech/GSB/prefs.ini" -- look at the video width and height options -- thats the problem. For me it was set to a mode that wasn't really available, probably because of my dual monitor setup. I changed it to width = 1920 and height was already set at 1080 -- and now the game runs!

If anyone needs and help with this I'll stick around for a bit.
salsadoom
Senior Line Worker
Senior Line Worker
Posts: 5
Joined: Wed Dec 14, 2011 7:51 pm

Re: [BUG] Linux amd64, missing libpng-1.2

Postby salsadoom » Wed Dec 14, 2011 8:24 pm

Ravow wrote:Using http://aur.archlinux.org/packages.php?ID=33795&comments=all seam to work!
But now it's libjpeg.so.62!

EDIT : http://aur.archlinux.org/packages.php?ID=28427 for libjpeg!


LOL, how did I miss that? My swear I looked in AUR, I guess my eyes glazed over at just the wrong moment, cheers!
User avatar
urkle
Supreme Robot
Supreme Robot
Posts: 130
Joined: Thu Dec 15, 2011 2:27 pm
Contact:

Re: [BUG] Linux amd64, missing libpng-1.2

Postby urkle » Thu Dec 15, 2011 8:50 pm

OK everybody.. There is a new binary I just submitted that fixes a number of issues affecting 32bit builds and some newer distributions. It should hopefully be updated sometimes soon on the HIB site.

(and thanks for pointing out this issues.. It ONLY affected the 32bit builds for some reason.. the game was linked to libpng-1.2 and the SDL_image library was loading libpng-3.. Causing lots of BADNESS)
Developing away on one of
Mac Pro Dual 2Ghz, 14GB RAM, Snow Leopard, nVidia 8800 512MB.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB

Return to “Linux Support”

Who is online

Users browsing this forum: No registered users and 1 guest